#
# spec file for package python-arabic-reshaper
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-arabic-reshaper
Version:        3.0.0
Release:        2.1
Summary:        Python module for formatting Arabic sentences
License:        MIT
URL:            https://github.com/mpcabd/python-arabic-reshaper/
Source:         https://github.com/mpcabd/python-arabic-reshaper/archive/v%{version}.tar.gz#/arabic_reshaper-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
A module for reconstructing Arabic sentences that are to be used in
applications that do not support Arabic.

%prep
%setup -q

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pyunittest discover -v

%files %{python_files}
%license LICENSE
%doc README.md
%{python_sitelib}/arabic_reshaper
%{python_sitelib}/arabic_reshaper-%{version}.dist-info

%changelog
* Wed Aug 30 2023 Steve Kowalik <steven.kowalik@suse.com>
- Remove future {Build,}Requires, not needed.
- Stop using greedy globs in %%files.
- Switch to pyproject macros.
- Rip out Python 2 support in the spec file.
* Fri Jan 13 2023 Dirk Müller <dmueller@suse.com>
- update to v3.0.0:
  * No more Python 2.x support.
* Wed Oct 12 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 2.1.4
  * Fix unparseable version bound for fonttools under Python 2
* Wed Sep 15 2021 pgajdos@suse.com
- version update to 2.1.3
  * Remove dependency on `__version__.py` and `default-config.ini` files
- %%check: use %%pyunittest rpm macro
* Sun Feb  7 2021 John Vandenberg <jayvdb@gmail.com>
- Update to v2.1.1
  * Added support for settings based on a TrueType® font
  * Fix ResourceWarning
* Tue Oct 13 2020 Dominique Leuenberger <dimstar@opensuse.org>
- BuildRequire python-configparser only conditionally when using
  python-base, aka python2.
* Fri Sep 13 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 2.0.15:
  * Relicensed as MIT
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Wed Aug  8 2018 jengelh@inai.de
- Use noun phrase.
* Fri Aug  3 2018 toddrme2178@gmail.com
- Initial version
